<template>
  <v-text-field
    v-bind="$attrs"
    :label="label"
    prepend-inner-icon="mdi-magnify"
    append-icon="mdi-backspace-outline"
    v-on="$listeners"
    @click:append="onClickCleanSearch"
  />
</template>

<script>
  export default {
    name: 'SearchField',
    props: {
      placeholder: {
        type: String,
        required: false,
      },
    },
    computed: {
      label () {
        return this.placeholder ? this.placeholder : this.$t('search')
      },
    },
    methods: {
      onClickCleanSearch () {
        this.$emit('input', '')
      },
    },
    i18n: {
      messages: {
        'pt-BR': {
          search: 'Procurar',
        },
        'en-US': {
          search: 'Search',
        },
      },
    },
  }
</script>
